package com.ruoyi.web.modules.architecture.mapper;

import java.util.List;
import com.ruoyi.web.modules.architecture.domain.BizGrowthSlaughterStandard;

/**
 * 生长与出栏标准 Mapper
 */
public interface BizGrowthSlaughterStandardMapper
{
    BizGrowthSlaughterStandard selectBizGrowthSlaughterStandardById(Long id);

    List<BizGrowthSlaughterStandard> selectBizGrowthSlaughterStandardList(BizGrowthSlaughterStandard query);

    int insertBizGrowthSlaughterStandard(BizGrowthSlaughterStandard row);

    int updateBizGrowthSlaughterStandard(BizGrowthSlaughterStandard row);

    int deleteBizGrowthSlaughterStandardById(Long id);

    int deleteBizGrowthSlaughterStandardByIds(Long[] ids);
}
